Kirjoittaja Aihe: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena [RATKAISTU]  (Luettu 1302 kertaa)

epiphone

  • Käyttäjä
  • Viestejä: 342
    • Profiili
Debian Stretch 9 + Vivaldi 64-bit + YLE Areena

Tällä kertaa ongelmana Vivaldi ja YLE Areenan toimimattomuus.

Käyttöjärjestelmänä on Debian Stretch 9 MATE -työpöydällä. Vivaldi on uusin päivitetty Stable 64-bit.
Koneena on Lenovo Thinkcentre.

Kun klikkaan jotakin, esim uutisvideota, tulee virheilmoitus ->
Koodia: [Valitse]
"Something went wrong"ja siinä näkyy ukkos/sadepilven kuva. Ja näin ollen ei toista videota Vivaldilla.

Samassa koneessa on Firefox, joka näyttää Yle Areenan videot, siinä ongelma on se, kun en yleensä tapaa Firefoxia käyttää.

Puuttuuko minulta jokin coodekki tai Flash, (vieläkö sitä käytetään?) ???

Edit: kirjoitusvirheitä korjattu


« Viimeksi muokattu: 12.09.18 - klo:19.54 kirjoittanut epiphone »
Kahvi on väkevin juomani

nm

  • Käyttäjä
  • Viestejä: 12594
    • Profiili
Vs: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena
« Vastaus #1 : 11.09.18 - klo:21.57 »
Täällä sama "Something went wrong" -ilmoitus Firefoxissa: https://forum.ubuntu-fi.org/index.php?topic=20696.msg410410#msg410410

Vaikuttaa Ylen ongelmalta, kun esiintyy yllättäen eri selaimissa.

SuperOscar

  • Käyttäjä
  • Viestejä: 3320
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena
« Vastaus #2 : 12.09.18 - klo:12.10 »
Koodekkien puuttuminen on yksi mahdollisuus, profiilin sotkeutuminen toinen ja jokin yleisempi ongelma (kuten nm mainitsee) kolmas.

Ensimmäiseen vaihtoehtoon: tarkista aluksi, onko chromium-ffmpeg-extra- tai vastaavan niminen paketti asennettu (tuo nimi on openSUSEsta, Debianin nimi voi olla vähän erilainen). Viimeksi tosin sekään ei minulla riittänyt vaan piti asentaa käsin GitHubista löytyvät koodekit. Sen jälkeen piti vielä varmistaa, ettei Vivaldi käyttänyt omaa koodekkiversiotaan vaan tätä käsin asennettua muuttamalla /opt/vivaldi/lib- tai /opt/vivaldi-snapshot/lib-kansiosta löytyvän libffmpeg.so-tiedoston nimi libffmpeg.so.bakiksi.

Toiseen vaihtoehtoon: poista tai siirrä muualle Vivaldin profiilikansio ~/.config/vivaldi (tai ~/.config/vivaldi-snapshot) ja kokeile puhtaalla profiililla. Chromiumissa johdannaisineen on kautta aikojen esiintynyt sitä, että jotkin sivustot (esim. Facebook) saattavat yhtäkkiä alkaa aiheuttaa tuota ”Jotakin meni vikaan” -ilmoitusta, jonka syynä on jokin profiilin vinossa oleva bitti.

Kolmanteen vaihtoehtoon ei sitten voikaan muuta kuin odotella ja katsoa, tai yrittää epätoivoisesti ruikuttaa Ylen suuntaan.
openSUSE Leap 15.0 (pöytäkone 1, kannettavat 1 & 2), Lubuntu 18.04 (HTPC), Linux Mint 19 (pöytäkone 2), Trisquel GNU/Linux 8.0 (kannettava 3), Raspbian GNU/Linux 9 (nimipalvelin)

epiphone

  • Käyttäjä
  • Viestejä: 342
    • Profiili
Vs: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena
« Vastaus #3 : 12.09.18 - klo:18.16 »
Koodekkien puuttuminen on yksi mahdollisuus, profiilin sotkeutuminen toinen ja jokin yleisempi ongelma (kuten nm mainitsee) kolmas.

Ensimmäiseen vaihtoehtoon: tarkista aluksi, onko chromium-ffmpeg-extra- tai vastaavan niminen paketti asennettu (tuo nimi on openSUSEsta, Debianin nimi voi olla vähän erilainen). Viimeksi tosin sekään ei minulla riittänyt vaan piti asentaa käsin GitHubista löytyvät koodekit. Sen jälkeen piti vielä varmistaa, ettei Vivaldi käyttänyt omaa koodekkiversiotaan vaan tätä käsin asennettua muuttamalla /opt/vivaldi/lib- tai /opt/vivaldi-snapshot/lib-kansiosta löytyvän libffmpeg.so-tiedoston nimi libffmpeg.so.bakiksi.

Toiseen vaihtoehtoon: poista tai siirrä muualle Vivaldin profiilikansio ~/.config/vivaldi (tai ~/.config/vivaldi-snapshot) ja kokeile puhtaalla profiililla. Chromiumissa johdannaisineen on kautta aikojen esiintynyt sitä, että jotkin sivustot (esim. Facebook) saattavat yhtäkkiä alkaa aiheuttaa tuota ”Jotakin meni vikaan” -ilmoitusta, jonka syynä on jokin profiilin vinossa oleva bitti.

Kolmanteen vaihtoehtoon ei sitten voikaan muuta kuin odotella ja katsoa, tai yrittää epätoivoisesti ruikuttaa Ylen suuntaan.

Yritin synapticilla hakea tuota vastaavaa ffmpeg:tä. Luulinkin jo löytäneeni oikean paketin ja asensinkin sen. Mutta ei onnistunut sillä. Samaa herjaa antaa edelleen.

Koitin siirtää Vivaldin piilohakemiston sivuun ja yritin aloittaa puhtaalta pöydältä. Eipä tuottanut sekään toivottua tulosta.

YLE:lle laitoin palautetta. Vielä ei ole vastausta sieltä kuulunut ja kenties ei kuulukaan koskaan. Tuo GitHub juttu on vielä kokeilematta, ja ehkä jääkin tällä kertaa. Tosin Firefoxilla Yle Areena toimii ihan ok. Joten, ehkä tyydyn nyt tähän.
Kahvi on väkevin juomani

nm

  • Käyttäjä
  • Viestejä: 12594
    • Profiili
Vs: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena
« Vastaus #4 : 12.09.18 - klo:19.03 »
Yritin synapticilla hakea tuota vastaavaa ffmpeg:tä. Luulinkin jo löytäneeni oikean paketin ja asensinkin sen. Mutta ei onnistunut sillä. Samaa herjaa antaa edelleen.

Debianissa ei näemmä ole tarvittavaa pakettia, joten se täytyy lainata Ubuntusta, kuten tuolla gistissä neuvotaan. Asennus onnistuu valmiilla latest-proprietary-media.sh-skriptillä tähän tapaan:

1. Lataa skripti ruarion gististä:

Koodia: [Valitse]
wget https://gist.githubusercontent.com/ruario/bec42d156d30affef655/raw/53bb6a1fd298d114355453f6f19ae188c22e2e9c/latest-proprietary-media.sh
2. Suorita ladattu skripti:

Koodia: [Valitse]
sh latest-proprietary-media.sh

epiphone

  • Käyttäjä
  • Viestejä: 342
    • Profiili
Vs: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena
« Vastaus #5 : 12.09.18 - klo:19.53 »
Debianissa ei näemmä ole tarvittavaa pakettia, joten se täytyy lainata Ubuntusta, kuten tuolla gistissä neuvotaan. Asennus onnistuu valmiilla latest-proprietary-media.sh-skriptillä tähän tapaan:

1. Lataa skripti ruarion gististä:

Koodia: [Valitse]
wget https://gist.githubusercontent.com/ruario/bec42d156d30affef655/raw/53bb6a1fd298d114355453f6f19ae188c22e2e9c/latest-proprietary-media.sh
2. Suorita ladattu skripti:

Koodia: [Valitse]
sh latest-proprietary-media.sh

Kiitos jälleen kerran nm! Nyt pelittää YLE Areenan videot. Merkitsen ratkaistuksi.  8)
Kahvi on väkevin juomani

SuperOscar

  • Käyttäjä
  • Viestejä: 3320
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: Debian Stretch 9 + Vivaldi 64. bit + YLE Areena [RATKAISTU]
« Vastaus #6 : 27.09.18 - klo:14.04 »
Nyt kun Vivaldista on vakaa 2.0-versio ulkona, jatkan tähän ratkaisuehdotukseni.

Kun Vivaldin on asentanut, kannattaa heti suunnata videotestisivulle. Ainakin minulla käy yhä edelleen niin, että WebM ja Ogg/Theora aika yllätyksettömästi vapaina koodekkeina toimivat, mutta H.264/MP4 ei.

Vivaldi asentaa /opt/vivaldi/lib- tai /opt/vivaldi-snapshot/lib-kansioon oman versionsa libffmpeg.so-tiedostosta. Se ei kuitenkaan tunnu täysin toimivan, ja itse asiassa se on kooltaankin (minulla 2,0 Mt) selvästi pienempi kuin koodekkikirjaston uusin versio (3,1 Mt).

Jos H.264:nkin haluaa toimivan, ladataan ensiksi GitHubista latest-proprietary-media.sh-niminen skripti. Ajetaan se tavallisen käyttäjän oikeuksin:

Koodia: [Valitse]
./latest-proprietary-media.sh
Komento asentaa uuden libffmpeg.so-tiedoston ~/.local/lib-kansion alikansioon. Tämä riittää, jos H.264:n haluaa saada vain omalle (mahdollisesti ainoalle) käyttäjätunnukselleen, mutta jos saman tien haluaa kaikkien muidenkin tunnusten toimivan, tehdään näin:

Koodia: [Valitse]
cd /opt/vivaldi/lib
sudo mv libffmpeg.so{,.bak}
sudo install -m 644 ~/.local/lib/vivaldi/libffmpeg.so .

Itse vielä poistin tuon jälkeen ~/.local/lib-rakenteen, jotta päivittäminen samalla skriptillä onnistuu (skripti tarkistaa luomansa .txt-tiedoston olemassaolon eikä suostu tekemään mitään, jos se on olemassa).
openSUSE Leap 15.0 (pöytäkone 1, kannettavat 1 & 2), Lubuntu 18.04 (HTPC), Linux Mint 19 (pöytäkone 2), Trisquel GNU/Linux 8.0 (kannettava 3), Raspbian GNU/Linux 9 (nimipalvelin)